# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.78"
name = "millrace-sessions-core"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types, protocol contracts, and persistence helpers for millrace-sessions"
readme = false
license = "MIT"
repository = "https://github.com/tim-osterhus/millmux"

[lib]
name = "millrace_sessions_core"
path = "src/lib.rs"

[[test]]
name = "protocol_contract"
path = "tests/protocol_contract.rs"

[dependencies.directories]
version = "5.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.time]
version = "0.3"
features = [
    "formatting",
    "macros",
    "parsing",
    "serde",
]

[dependencies.uuid]
version = "1.8"
features = [
    "serde",
    "v4",
]

[dev-dependencies.nix]
version = "0.29"
features = [
    "fs",
    "process",
    "signal",
    "socket",
    "term",
]

[dev-dependencies.tempfile]
version = "3.10"
